/**
 * @name index.js<foo>
 * @author Octo Cat <octo@example.com>
 * @overview controller of foo module
 */

define(function (require, exports, module) {
    'use strict';

    var beez = require('beez');
    var logger = beez.getLogger('foo.index');
    var msgs = beez.i18n;

    var mv = beez.manager.view;
    var mm = beez.manager.model;
    // model
    var Model = require('foo/model/index');
    // view
    var View = require('foo/view/index');

    /**
     * foo Controller class
     *
     * @namespace Controller
     * @class
     * @name Controller
     * @extends {beez.Controller}
     * @see beez.Controller
     */
    var Controller = beez.Controller.extend(
        'foo.Controller',
        {
            css: [
                '/foo/styl/foo.css'
            ],

            i18n: function i18n() {
                return {
                    ja: require('foo/i18n/ja')
                };
            },

            /**
             *
             * @memberof Controller
             * @name fooIndex
             */
            fooIndex: function fooIndex() {
                // TODO: index controller is here.
            }

        })
    ;

    return Controller;
});
